using System;
using System.Collections.Generic;
using Avalonia.Controls;
using CheckArticlesForSpam.Views;
using ReactiveUI;

namespace CheckArticlesForSpam.ViewModels
{
	public class AuthorizationPageViewModel : ReactiveObject
	{
        string login = "";
        string password = "";
        string message = "";
        char? passwordChar = '*';
        

        public string Login { get => login; set => login = value; }
        public string Password { get => password; set => password = value; }
        public string Message { get => message; set => this.RaiseAndSetIfChanged(ref message, value); }
        public char? PasswordChar { get => passwordChar; set => this.RaiseAndSetIfChanged(ref passwordChar, value); }

        public UserControl LoadPageRegistration()
        {
            return new RegistrationPage();
        }
    }
}